> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Member Snapshot

> Create a new member snapshot for a group



## OpenAPI

````yaml POST /api/v1/groups/{group_id}/member_snapshots
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/groups/{group_id}/member_snapshots:
    post:
      tags:
        - Member Snapshot
      summary: Create a Member Snapshot
      description: Create a new Member Snapshot for an employee associated with a group.
      operationId: createMemberSnapshot
      parameters:
        - description: >-
            The unique identifier of the group for the employee referenced in
            the snapshot
          in: path
          name: group_id
          required: true
          schema:
            example: 2613a221-d3c8-4c8a-86d5-e7e885fd1da9
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            examples:
              success:
                value:
                  coverages:
                    - carrier_id: 4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1
                      enrolled_members:
                        - effective_end_date: '9999-12-31'
                          effective_start_date: '2022-01-01'
                          event_id: '1'
                          individual_id: 6e7a80fc-473e-460a-8368-454e9e8dc9cb
                          individual_type: employee
                          latest_change_effective_date: '2022-02-13'
                        - effective_end_date: '9999-12-31'
                          effective_start_date: '2022-01-01'
                          event_id: '1'
                          individual_id: ab740704-7c37-4010-92b3-d22c6926be3e
                          individual_type: dependent
                      line_of_coverage: medical
                      plan_id: 4bf04f73-0aad-48ac-b28a-e5f4def7c5e9
                      signature_date: '2021-12-23'
                    - carrier_id: 4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1
                      enrolled_members:
                        - effective_end_date: '9999-12-31'
                          effective_start_date: '2022-01-01'
                          event_id: '1'
                          individual_id: 6e7a80fc-473e-460a-8368-454e9e8dc9cb
                          individual_type: employee
                        - effective_end_date: '2021-12-31'
                          effective_start_date: '2022-01-01'
                          event_id: '1'
                          individual_id: ab740704-7c37-4010-92b3-d22c6926be3e
                          individual_type: dependent
                      line_of_coverage: dental
                      plan_name: DHMO Smile Plus
                      signature_date: '2021-12-23'
                    - carrier_id: 4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1
                      enrolled_members:
                        - effective_end_date: '9999-12-31'
                          effective_start_date: '2022-01-01'
                          event_id: '1'
                          individual_id: 6e7a80fc-473e-460a-8368-454e9e8dc9cb
                          individual_type: employee
                          volume: 50000
                      line_of_coverage: life
                      plan_name: 50k Employee Basic Life
                      signature_date: '2021-12-23'
                  dependents:
                    - custom_individual_id: '378713198'
                      event_id: '1'
                      id: ab740704-7c37-4010-92b3-d22c6926be3e
                      person:
                        contact:
                          email_address: jamie@testemail.com
                          email_address_type: home
                          home_phone: '+12065551234'
                        date_of_birth: '1990-01-02'
                        first_name: Jamie
                        home_address:
                          city: San Francisco
                          county: San Francisco
                          state: CA
                          street_one: 1234 Home Ave
                          zip_code: '94107'
                        last_name: Johnson
                        mailing_address:
                          city: San Francisco
                          state: CA
                          street_one: P.O. Box 1234
                          zip_code: '94107'
                        marital_status: married
                        sex: F
                        ssn: '987654321'
                      relationship: spouse
                  employee:
                    classifications:
                      BranchName: HQ
                      Department: Sales
                    custom_individual_id: '718713143'
                    employment:
                      employment_dates:
                        full_time_start: '2015-01-01'
                        hire_date: '2014-12-10'
                      employment_status: full-time
                      hours_worked: 50
                      occupation: Senior Analyst
                      salary:
                        amount: 55000
                        effective_date: '2022-01-31'
                        type: salary
                        unit: annual
                    event_id: '1'
                    id: 6e7a80fc-473e-460a-8368-454e9e8dc9cb
                    person:
                      contact:
                        email_address: david@testemail.com
                        email_address_type: home
                        home_phone: '+12065551234'
                        preferred_method: email
                        work_phone: '+12065559876'
                      date_of_birth: '1985-06-22'
                      first_name: David
                      home_address:
                        city: San Francisco
                        county: San Francisco
                        state: CA
                        street_one: 1234 Home Ave
                        zip_code: '94107'
                      last_name: Johnson
                      mailing_address:
                        city: San Francisco
                        state: CA
                        street_one: P.O. Box 1234
                        zip_code: '94107'
                      marital_status: married
                      middle_name: A
                      sex: M
                      ssn: '123456789'
                      suffix: Jr
                  enable_member_auto_link: false
                  events:
                    - date: '2022-01-01'
                      id: '1'
                      reason: open_enrollment
                      type: coverage
                  snapshot_mode: current_open
            schema:
              $ref: '#/components/schemas/InboundMemberSnapshot'
        required: true
      responses:
        '201':
          content:
            application/json:
              example:
                created: 1656030390
                created_members:
                  - custom_individual_id: '718713143'
                    id: 6e7a80fc-473e-460a-8368-454e9e8dc9cb
                    type: employee
                  - custom_individual_id: '378713198'
                    id: ab740704-7c37-4010-92b3-d22c6926be3e
                    type: dependent
                employee_id: 6e7a80fc-473e-460a-8368-454e9e8dc9cb
                fulfillment_summary:
                  - carrier_id: 4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1
                    errors: []
                    status: processing
                id: 7bea80ac-499d-560b-5512-60be9e2349cb
                member_snapshot:
                  coverages:
                    - carrier_id: 4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1
                      enrolled_members:
                        - effective_end_date: '9999-12-31'
                          effective_start_date: '2022-01-01'
                          event_id: '1'
                          individual_id: 6e7a80fc-473e-460a-8368-454e9e8dc9cb
                          individual_type: employee
                          latest_change_effective_date: '2022-02-13'
                        - effective_end_date: '9999-12-31'
                          effective_start_date: '2022-01-01'
                          event_id: '1'
                          individual_id: ab740704-7c37-4010-92b3-d22c6926be3e
                          individual_type: dependent
                      line_of_coverage: medical
                      plan_id: 4bf04f73-0aad-48ac-b28a-e5f4def7c5e9
                      signature_date: '2021-12-23'
                    - carrier_id: 4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1
                      enrolled_members:
                        - effective_end_date: '9999-12-31'
                          effective_start_date: '2022-01-01'
                          event_id: '1'
                          individual_type: employee
                        - effective_end_date: '2021-12-31'
                          effective_start_date: '2022-01-01'
                          event_id: '1'
                          individual_id: ab740704-7c37-4010-92b3-d22c6926be3e
                          individual_type: dependent
                      line_of_coverage: dental
                      plan_name: DHMO Smile Plus
                      signature_date: '2021-12-23'
                    - carrier_id: 4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1
                      enrolled_members:
                        - effective_end_date: '9999-12-31'
                          effective_start_date: '2022-01-01'
                          event_id: '1'
                          individual_type: employee
                          volume: 50000
                      line_of_coverage: life
                      plan_name: 50k Employee Basic Life
                      signature_date: '2021-12-23'
                  dependents:
                    - custom_individual_id: '378713198'
                      event_id: '1'
                      id: ab740704-7c37-4010-92b3-d22c6926be3e
                      person:
                        contact:
                          email_address: jamie@testemail.com
                          email_address_type: home
                          home_phone: '+12065551234'
                        date_of_birth: '1990-01-02'
                        first_name: Jamie
                        home_address:
                          city: San Francisco
                          county: San Francisco
                          state: CA
                          street_one: 1234 Home Ave
                          zip_code: '94107'
                        last_name: Johnson
                        mailing_address:
                          city: San Francisco
                          state: CA
                          street_one: P.O. Box 1234
                          zip_code: '94107'
                        marital_status: married
                        sex: F
                        ssn: '987654321'
                      relationship: spouse
                  employee:
                    classifications:
                      BranchName: HQ
                      Department: Sales
                    custom_individual_id: '718713143'
                    employment:
                      employment_dates:
                        full_time_start: '2015-01-01'
                        hire_date: '2014-12-10'
                      employment_status: full-time
                      hours_worked: 50
                      occupation: Senior Analyst
                      salary:
                        amount: 55000
                        effective_date: '2022-01-31'
                        type: salary
                        unit: annual
                    event_id: '1'
                    group_id: d0ec3837-3499-4a2f-8c58-966ef7e46d95
                    id: 6e7a80fc-473e-460a-8368-454e9e8dc9cb
                    person:
                      contact:
                        email_address: david@testemail.com
                        email_address_type: home
                        home_phone: '+12065551234'
                        preferred_method: email
                        work_phone: '+12065559876'
                      date_of_birth: '1985-06-22'
                      first_name: David
                      home_address:
                        city: San Francisco
                        county: San Francisco
                        state: CA
                        street_one: 1234 Home Ave
                        zip_code: '94107'
                      last_name: Johnson
                      mailing_address:
                        city: San Francisco
                        state: CA
                        street_one: P.O. Box 1234
                        zip_code: '94107'
                      marital_status: married
                      middle_name: A
                      sex: M
                      ssn: '123456789'
                      suffix: Jr
                  enable_member_auto_link: false
                  events:
                    - date: '2022-01-01'
                      id: '1'
                      reason: open_enrollment
                      type: coverage
                  snapshot_mode: current_open
                modified: 1656030390
                status: processing
                version: 271c60d6-f009-4b3d-8bba-aac49b2dd9a4
                warnings: []
              schema:
                $ref: '#/components/schemas/OutboundMemberSnapshot'
          description: >-
            Successful Response - Returns the contents of the newly created
            Member Snapshot
        '400':
          content:
            application/json:
              example:
                message: >-
                  Error creating dependent. Existing dependent has matching name
                  and date of birth: ab740704-7c37-4010-92b3-d22c6926be3e
                status: 400
          description: Failure Response - Client error
        '404':
          content:
            application/json:
              example:
                message: >-
                  Dependent with ID ab740704-7c37-4010-92b3-d22c6926be3e does
                  not have an associated employee.
                status: 404
          description: Failure Response - Not found error
        '422':
          content:
            application/json:
              example:
                message: >-
                  This snapshot is missing the following active coverages:
                  dental for dependent ab740704-7c37-4010-92b3-d22c6926be3e. If
                  you intend to terminate a coverage, please send a snapshot
                  that includes a termination date before omitting it from
                  future snapshots.
                status: 422
          description: Failure Response - Schema validation error
components:
  schemas:
    InboundMemberSnapshot:
      properties:
        coverages:
          description: List of coverage and enrollment decisions for each member
          items:
            $ref: '#/components/schemas/InboundMemberSnapshotCoverage'
          type: array
        dependents:
          description: List of demographic information for each dependent
          items:
            $ref: '#/components/schemas/InboundMemberSnapshotDependent'
          type: array
        employee:
          allOf:
            - $ref: '#/components/schemas/InboundMemberSnapshotEmployee'
          description: Demographic information for the employee
        enable_member_auto_link:
          default: false
          description: Boolean flag for autolinking workflow
          type: boolean
        events:
          description: List of events associated with member and coverage updates
          items:
            $ref: '#/components/schemas/InboundMemberSnapshotEvent'
          type: array
        omitted_coverage_handling:
          allOf:
            - $ref: '#/components/schemas/InboundMemberSnapshotOmittedCoverage'
          description: Configuration for handling omitted coverages
        snapshot_mode:
          description: Mode describing how the contents of the snapshot will be processed
          enum:
            - current_open
          example: current_open
          type: string
      required:
        - employee
        - snapshot_mode
      type: object
      x-field_order: []
    OutboundMemberSnapshot:
      properties:
        created:
          description: The date the record was created
          type: integer
        created_members:
          description: List of created members
          items:
            $ref: '#/components/schemas/OutboundMemberSnapshotCreatedMember'
          type: array
        employee_id:
          description: Unique ID of the employee in Noyo
          format: uuid
          type: string
        fulfillment_summary:
          description: List of member snapshot fulfillment statuses per carrier
          items:
            $ref: '#/components/schemas/CarrierFulfillmentStatus'
          type: array
        id:
          description: Unique identifier of the record in Noyo
          format: uuid
          type: string
        inbound_snapshot:
          description: >-
            Exact member snapshot as received by Noyo and prior to any
            processing (e.g. adding omitted coverages, applying rulesets, etc.)
          type: string
        member_snapshot:
          allOf:
            - $ref: '#/components/schemas/MemberSnapshotDB'
          description: >-
            Member snapshot post Noyo processing (e.g. adding omitted coverages,
            applying rulesets, etc.)
        modified:
          description: The date the record was last updated
          type: integer
        replaced_by:
          description: UUID of the member snapshot that replaced the returned snapshot
          format: uuid
          type: string
        status:
          description: Status of the member snapshot
          enum:
            - processing
            - completed
            - replaced
            - canceled
            - submitted
          type: string
        version:
          description: Current version of the record
          format: uuid
          type: string
        warnings:
          description: Warnings generated during processing of the member snapshot
          items:
            type: string
          type: array
      required:
        - created
        - created_members
        - employee_id
        - id
        - member_snapshot
        - modified
        - status
        - version
        - warnings
      type: object
      x-field_order: []
    InboundMemberSnapshotCoverage:
      properties:
        carrier_config:
          description: Details about enrolled member classifications at the carrier
          type: object
        carrier_id:
          description: Noyo Carrier ID associated with this coverage
          format: uuid
          type: string
        cobra_details:
          allOf:
            - $ref: '#/components/schemas/InboundMemberSnapshotCOBRADetails'
          description: Details about COBRA eligibility dates and enrollment status
        custom_plan_id:
          description: >-
            Platform-specific plan ID. Even when `custom_plan_id` is provided,
            `plan_id` or `plan_name` must also be provided.
          minLength: 1
          type: string
        enrolled_members:
          description: Employee and dependent members enrolling in this coverage
          items:
            $ref: '#/components/schemas/InboundMemberSnapshotEnrolledMember'
          type: array
        line_of_coverage:
          description: Line of coverage for the coverage
          enum:
            - medical
            - dental
            - vision
            - life
            - add
            - std
            - ltd
            - accident
            - critical_illness
            - cancer
            - health_fund
            - hospital_indemnity
            - pharmacy
            - wellness
          example: dental
          type: string
        plan_id:
          description: >-
            The unique ID of the noyo plan associated with this coverage. This
            field is required when `plan_name` is not provided.
          format: uuid
          type: string
        plan_name:
          description: >-
            The name of this plan in your records or the name that maps to a
            group plan in Noyo. This field is required when `plan_id` is not
            provided.
          minLength: 1
          type: string
        signature_date:
          description: The date the decision for this coverage enrollment was made
          example: '2020-01-01'
          format: date
          type: string
      required:
        - carrier_id
        - enrolled_members
        - line_of_coverage
      type: object
      x-field_order: []
    InboundMemberSnapshotDependent:
      properties:
        custom_individual_id:
          description: >-
            Custom ID of the Dependent from platform system. Required if member
            is new
          minLength: 1
          type: string
        event_id:
          description: The unique ID of an event from the snapshot events list
          example: '1'
          minLength: 1
          type: string
        group_individual_id:
          description: Group-level ID of the dependent
          minLength: 1
          type: string
        id:
          description: >-
            Unique ID of the Dependent in Noyo's system. Leave blank if member
            is new
          format: uuid
          type: string
        person:
          allOf:
            - $ref: '#/components/schemas/InboundMemberSnapshotPerson'
          description: Personal information for the dependent
        relationship:
          description: Relationship of the dependent to the employee
          enum:
            - spouse
            - child
            - domestic-partner
            - grandchild
            - civil-union
            - step-child
            - foster-child
            - adopted-child
            - legal-guardianship
            - ex-spouse
            - other
          type: string
      required:
        - person
        - relationship
      type: object
      x-field_order: []
    InboundMemberSnapshotEmployee:
      properties:
        classifications:
          description: Fields that classify employees for group structure mapping
          type: object
        custom_individual_id:
          description: >-
            Custom ID of the Employee from platform system. Required if member
            is new
          minLength: 1
          type: string
        employment:
          allOf:
            - $ref: '#/components/schemas/InboundMemberSnapshotEmployment'
          description: Employment information for the employee
        event_id:
          description: The unique ID of an event from the snapshot events list
          example: '1'
          minLength: 1
          type: string
        group_individual_id:
          description: Group-level ID of the employee
          minLength: 1
          type: string
        id:
          description: >-
            Unique ID of the Employee in Noyo's system. Leave blank if member is
            new
          format: uuid
          type: string
        person:
          allOf:
            - $ref: '#/components/schemas/InboundMemberSnapshotPerson'
          description: Personal information for the employee
      required:
        - employment
        - person
      type: object
      x-field_order: []
    InboundMemberSnapshotEvent:
      properties:
        date:
          description: The date the event occurred
          format: date
          type: string
        id:
          description: Unique ID for the event, used internally in this payload
          minLength: 1
          type: string
        reason:
          description: The cause or real world scenario described in the event
          enum:
            - adoption
            - benefit_class_change
            - change_to_part_time
            - change_to_full_time
            - cobra_enrollment
            - cobra_termination
            - cobra_update_other
            - court_order
            - death
            - demographic_change
            - dependent_open_enrollment
            - disability_status_change
            - divorce
            - eligibility_change
            - foster_care
            - immigration_status_change
            - leave_status_change
            - legal_guardian
            - lost_coverage
            - marriage
            - medicare
            - moved
            - newborn
            - new_hire
            - offline_change
            - open_enrollment
            - rate_changed
            - rehire
            - reinstatement
            - retirement
            - termination
          type: string
        type:
          description: The type or category of member change made due to this event
          enum:
            - coverage
            - demographic
          type: string
      required:
        - date
        - id
        - reason
        - type
      type: object
      x-field_order: []
    InboundMemberSnapshotOmittedCoverage:
      properties:
        custom:
          allOf:
            - $ref: '#/components/schemas/InboundMemberSnapshotOmittedCoverageCustom'
          description: List of Individual Enrollment actions
        policy:
          default: reject
          description: How Noyo will process the member snapshot's omitted coverage(s).
          enum:
            - continue
            - reject
            - terminate
          example: terminate
          type: string
        termination_rule:
          description: >-
            The rule that Noyo should use to determine the explicit date of
            termination for the omitted coverage(s).
          enum:
            - custom
            - end_of_current_month
            - end_of_prior_month
          example: end_of_current_month
          type: string
      type: object
      x-field_order: []
    OutboundMemberSnapshotCreatedMember:
      properties:
        custom_individual_id:
          description: Custom ID of the Member from the platform's system.
          type: string
        id:
          description: Unique ID of the Member in Noyo's system.
          format: uuid
          type: string
        type:
          description: Type of the Member. Either 'employee' or 'dependent.
          type: string
      required:
        - id
        - type
      type: object
      x-field_order: []
    CarrierFulfillmentStatus:
      properties:
        carrier_id:
          description: Unique identifier of the Carrier in Noyo
          format: uuid
          type: string
        errors:
          description: Errors generated while processing the member snapshot at the carrier
          items:
            type: string
          type: array
        status:
          description: Status of the member snapshot fulfillment at carrier
          enum:
            - invalid
            - no_changes
            - processing
            - replaced
            - scheduled
            - sent
            - valid
            - not_connected
          type: string
      required:
        - carrier_id
        - status
      type: object
      x-field_order: []
    MemberSnapshotDB:
      properties:
        coverages:
          description: List of coverage and enrollment decisions for each member
          items:
            $ref: '#/components/schemas/InboundMemberSnapshotCoverage'
          type: array
        dependents:
          description: List of demographic information for each dependent
          items:
            $ref: '#/components/schemas/InboundMemberSnapshotDependent'
          type: array
        employee:
          allOf:
            - $ref: '#/components/schemas/InboundMemberSnapshotEmployee'
          description: Demographic information for the employee
        enable_member_auto_link:
          default: false
          description: Boolean flag for autolinking workflow
          type: boolean
        events:
          description: List of events associated with member and coverage updates
          items:
            $ref: '#/components/schemas/InboundMemberSnapshotEvent'
          type: array
        omitted_coverage_handling:
          allOf:
            - $ref: '#/components/schemas/InboundMemberSnapshotOmittedCoverage'
          description: Configuration for handling omitted coverages
        snapshot_mode:
          description: Mode describing how the contents of the snapshot will be processed
          enum:
            - current_open
          example: current_open
          type: string
      required:
        - employee
        - snapshot_mode
      type: object
    InboundMemberSnapshotCOBRADetails:
      properties:
        cobra_enrolled:
          description: Boolean representing whether or not a member is enrolled in COBRA
          type: boolean
        eligibility_end_date:
          description: >-
            The date which represents when the individual is no longer eligible
            for COBRA
          format: date
          type: string
        eligibility_start_date:
          description: >-
            The date which represents when the individual is first eligible for
            COBRA
          format: date
          type: string
        qualifying_event_date:
          description: The date of the event which qualified the individual for COBRA
          format: date
          type: string
        qualifying_event_reason:
          description: The reason of the event which qualified the individual for COBRA
          enum:
            - termination_of_employment
            - reduction_of_work_hours
            - medicare
            - death
            - divorce
            - separation
            - ineligible_child
            - bankruptcy_of_retirees_former_employer
            - layoff
            - leave_of_absence
          type: string
        election_notice_date:
          description: >-
            The date the group's plan administrator sent or delivered the COBRA
            election notice to the qualified beneficiary. Present only when the
            platform sends it. Do not substitute employment termination date or
            qualifying event date.
          format: date
          type: string
      required:
        - cobra_enrolled
        - eligibility_end_date
        - eligibility_start_date
      type: object
      x-field_order: []
    InboundMemberSnapshotEnrolledMember:
      properties:
        custom_individual_id:
          description: Platform ID of the employee or dependent from the snapshot
          nullable: true
          type: string
        effective_end_date:
          description: >-
            Effective end date of coverage for the member. If the member is
            still enrolled in coverage, this should be set to 9999-12-31.
          example: '9999-12-31'
          format: date
          type: string
        effective_start_date:
          description: Original effective start date of coverage for the member
          example: '2021-01-01'
          format: date
          type: string
        event_id:
          description: The unique ID of an event from the snapshot events list
          example: '1'
          minLength: 1
          type: string
        individual_id:
          description: Unique ID of the employee or dependent from the snapshot
          format: uuid
          nullable: true
          type: string
        individual_type:
          description: Type of member enrolling in coverage
          enum:
            - dependent
            - employee
          example: employee
          type: string
        latest_change_effective_date:
          description: Effective date of the latest change related to this member coverage
          example: '2022-01-01'
          format: date
          type: string
        pcp_details:
          allOf:
            - $ref: '#/components/schemas/InboundMemberSnapshotPCPDetails'
          description: Details about primary care providers
        volume:
          description: The volume of coverage for the member (in dollars)
          example: 100
          format: int32
          type: integer
      required:
        - effective_end_date
        - effective_start_date
        - individual_type
      type: object
      x-field_order: []
    InboundMemberSnapshotPerson:
      properties:
        contact:
          allOf:
            - $ref: '#/components/schemas/InboundMemberSnapshotPersonContact'
          description: Contact information for the person
        date_of_birth:
          description: ISO-8601 date string for the date of birth of the person
          example: '1977-06-03'
          format: date
          type: string
        details:
          allOf:
            - $ref: '#/components/schemas/InboundMemberSnapshotPersonDetails'
          description: Additional personal details of the person
        first_name:
          description: First name of the person
          example: Catherine
          type: string
        home_address:
          allOf:
            - $ref: '#/components/schemas/InboundMemberSnapshotAddress'
          description: Home address of the person
        last_name:
          description: Last name of the person
          example: Briggs
          type: string
        maiden_name:
          description: Maiden name of the person (deprecated)
          type: string
        mailing_address:
          allOf:
            - $ref: '#/components/schemas/InboundMemberSnapshotAddress'
          description: Mailing address of the person
        marital_status:
          description: Marital status of the person
          enum:
            - single
            - married
            - domestic-partner
            - divorced
            - widowed
            - legally-separated
          example: married
          type: string
        middle_name:
          description: Middle name of the person
          example: S
          type: string
        sex:
          description: Sex of the person
          enum:
            - F
            - M
            - U
            - X
          example: F
          type: string
        ssn:
          description: Social Security Number of the person
          example: '123456789'
          nullable: true
          pattern: ^(?!000)[0-9]{3}(?!00)[0-9]{2}(?!0000)[0-9]{4}$
          type: string
        suffix:
          description: Suffix of the person
          type: string
      required:
        - date_of_birth
        - first_name
        - home_address
        - last_name
        - mailing_address
        - sex
      type: object
      x-field_order: []
    InboundMemberSnapshotEmployment:
      properties:
        employment_dates:
          allOf:
            - $ref: '#/components/schemas/InboundMemberSnapshotEmploymentDates'
          description: Employee employment dates
        employment_status:
          description: Employee employment status
          enum:
            - full-time
            - part-time
            - contract
            - disabled
            - terminated
            - retired
          type: string
        hours_worked:
          description: An integer of hours worked per week by the employee
          example: 40
          format: int32
          type: integer
        occupation:
          description: Employee occupation or job title
          example: Engineer
          type: string
        salary:
          allOf:
            - $ref: '#/components/schemas/InboundMemberSnapshotSalary'
          description: Employee salary information
      required:
        - employment_dates
        - employment_status
        - hours_worked
      type: object
      x-field_order: []
    InboundMemberSnapshotOmittedCoverageCustom:
      properties:
        effective_end_date:
          description: >-
            A custom effective end date that will be used for the termination of
            the omitted coverage(s).
          example: '2024-03-15'
          format: date
          type: string
      type: object
      x-field_order: []
    InboundMemberSnapshotPCPDetails:
      properties:
        providers:
          description: List of primary care providers
          items:
            $ref: '#/components/schemas/InboundMemberSnapshotPrimaryCareProvider'
          type: array
      required:
        - providers
      type: object
      x-field_order: []
    InboundMemberSnapshotPersonContact:
      properties:
        email_address:
          description: Email address of the person
          example: catherine.briggs@example.com
          format: email
          nullable: true
          type: string
        email_address_type:
          description: Type of email address
          enum:
            - home
            - work
          example: home
          type: string
        home_phone:
          description: Home phone number in E.164 format
          example: '+15555551212'
          type: string
        preferred_language:
          description: Preferred written or spoken language of the person
          example: English
          type: string
        preferred_method:
          description: Preferred method of contact for the person
          enum:
            - mail
            - email
            - home-phone
            - work-phone
            - other
          example: email
          type: string
        speaks_english:
          description: True if the person can speak or communicate in English
          example: true
          type: boolean
        work_phone:
          description: Work phone number in E.164 format
          example: '+15555551212'
          type: string
      type: object
      x-field_order: []
    InboundMemberSnapshotPersonDetails:
      properties:
        american_indian:
          allOf:
            - $ref: '#/components/schemas/InboundMemberSnapshotPersonAmericanIndian'
          description: American Indian status details (if applicable)
        disability:
          allOf:
            - $ref: '#/components/schemas/InboundMemberSnapshotPersonDisability'
          description: Disability details (if applicable)
        is_military:
          description: True if the person is in the military
          type: boolean
        is_student:
          description: True if the person is a student
          type: boolean
        tobacco:
          allOf:
            - $ref: '#/components/schemas/InboundMemberSnapshotPersonTobacco'
          description: Tobacco usage details (if applicable)
      type: object
      x-field_order: []
    InboundMemberSnapshotAddress:
      properties:
        city:
          description: City of the address
          example: Bend
          type: string
        county:
          description: County of the address
          example: Deschutes
          type: string
        state:
          description: State postal code of the address
          enum:
            - AL
            - AK
            - AZ
            - AR
            - CA
            - CO
            - CT
            - DE
            - DC
            - FL
            - GA
            - HI
            - ID
            - IL
            - IN
            - IA
            - KS
            - KY
            - LA
            - ME
            - MD
            - MA
            - MI
            - MN
            - MS
            - MO
            - MT
            - NE
            - NV
            - NH
            - NJ
            - NM
            - NY
            - NC
            - ND
            - OH
            - OK
            - OR
            - PA
            - RI
            - SC
            - SD
            - TN
            - TX
            - UT
            - VT
            - VA
            - WA
            - WV
            - WI
            - WY
            - AS
            - GU
            - MH
            - FM
            - MP
            - PW
            - PR
            - VI
            - UM
          example: OR
          type: string
        street_one:
          description: Line one of the address
          example: 339 Hickory Street
          type: string
        street_two:
          description: Line two of the address
          example: Apartment 5
          type: string
        zip_code:
          description: Zip code of the address
          example: '97701'
          pattern: ^(\d{5})(?:-?)(\d{4})?$
          type: string
      required:
        - city
        - state
        - street_one
        - zip_code
      type: object
      x-field_order: []
    InboundMemberSnapshotEmploymentDates:
      properties:
        full_time_start:
          description: >-
            ISO-8601 date string for start date as a full time employee with the
            group (if applicable)
          example: '2017-01-17'
          pattern: ^([0-9]{4})(-)(1[0-2]|0[1-9])\2(3[01]|0[1-9]|[12][0-9])$
          type: string
        hire_date:
          description: ISO-8601 date string for the hire date of the employee
          example: '2017-01-17'
          format: date
          type: string
        rehire:
          description: >-
            ISO-8601 date string for the rehire date of the employee (if
            applicable)
          example: '2018-02-01'
          pattern: ^([0-9]{4})(-)(1[0-2]|0[1-9])\2(3[01]|0[1-9]|[12][0-9])$
          type: string
        retirement:
          description: >-
            ISO-8601 date string for the retirement date of the employee (if
            applicable)
          example: '2019-01-01'
          pattern: ^([0-9]{4})(-)(1[0-2]|0[1-9])\2(3[01]|0[1-9]|[12][0-9])$
          type: string
        terminated:
          description: >-
            ISO-8601 date string for the termination date of the employee (if
            applicable)
          example: '2018-01-01'
          pattern: ^([0-9]{4})(-)(1[0-2]|0[1-9])\2(3[01]|0[1-9]|[12][0-9])$
          type: string
      required:
        - hire_date
      type: object
      x-field_order: []
    InboundMemberSnapshotSalary:
      properties:
        amount:
          description: >-
            Amount of salary earned by the employee in US dollars and cents, as
            a decimal value
          example: 52000
          minimum: 0
          type: number
        effective_date:
          description: The ISO-8601 date-string the current employee salary is effective
          example: '2022-02-01'
          pattern: ^([0-9]{4})(-)(1[0-2]|0[1-9])\2(3[01]|0[1-9]|[12][0-9])$
          type: string
        type:
          description: Type of salary earned by the employee
          enum:
            - hourly
            - salary
          example: salary
          type: string
        unit:
          description: Unit of salary earned by the employee
          enum:
            - annual
            - month
            - semi-monthly
            - week
            - hour
          example: annual
          type: string
      type: object
      x-field_order: []
    InboundMemberSnapshotPrimaryCareProvider:
      properties:
        entity_identifier_code:
          description: Code of the entity identifier
          enum:
            - pcp
            - dental_pcp
            - obgyn
          type: string
        entity_type:
          description: Type of entity
          enum:
            - person
            - non_person_entity
          type: string
        first_name:
          description: First name of the primary care provider
          type: string
        identification_code:
          description: Code of the identification
          type: string
        identification_code_type:
          description: Type of the identification code
          enum:
            - service_provider_number
            - national_provider_identifier
          type: string
        last_name:
          description: Last name of the primary care provider
          type: string
        middle_name:
          description: Middle name of the primary care provider
          type: string
        organization_name:
          description: Organization name of the primary care provider.
          type: string
        patient_relationship_code:
          description: >-
            Code which represents the relationship of the patient to the primary
            care provider
          enum:
            - established
            - not_established
            - unknown
          type: string
      required:
        - identification_code
        - identification_code_type
      type: object
      x-field_order: []
    InboundMemberSnapshotPersonAmericanIndian:
      properties:
        state:
          description: >-
            Primary state of the federally-recognized American Indian or Alaska
            Native tribe, if applicable
          enum:
            - AL
            - AK
            - AZ
            - AR
            - CA
            - CO
            - CT
            - DE
            - DC
            - FL
            - GA
            - HI
            - ID
            - IL
            - IN
            - IA
            - KS
            - KY
            - LA
            - ME
            - MD
            - MA
            - MI
            - MN
            - MS
            - MO
            - MT
            - NE
            - NV
            - NH
            - NJ
            - NM
            - NY
            - NC
            - ND
            - OH
            - OK
            - OR
            - PA
            - RI
            - SC
            - SD
            - TN
            - TX
            - UT
            - VT
            - VA
            - WA
            - WV
            - WI
            - WY
            - AS
            - GU
            - MH
            - FM
            - MP
            - PW
            - PR
            - VI
            - UM
          type: string
        tribe:
          description: >-
            Name of the federally-recognized American Indian or Alaska Native
            tribe, if applicable
          example: Ojibwe
          type: string
      type: object
      x-field_order: []
    InboundMemberSnapshotPersonDisability:
      properties:
        communication:
          description: True if the disability impacts the ability to communicate or read
          type: boolean
        disabled:
          description: True if the member has a disability
          type: boolean
        reason:
          description: Description of the disability
          type: string
      type: object
      x-field_order: []
    InboundMemberSnapshotPersonTobacco:
      properties:
        duration:
          description: Duration of tobacco use
          example: 5 years
          type: string
        frequency:
          description: Frequency of tobacco use
          example: Daily
          type: string
        types:
          description: List of types of tobacco use
          example: cigarettes
          items:
            enum:
              - pipe
              - cigarettes
              - chewing-tobacco
            type: string
          minItems: 1
          type: array
        user:
          description: True if the person uses tobacco of any kind
          example: true
          type: boolean
      type: object
      x-field_order: []

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.